var curmonth, selectedday, request, calendarresponse, entriesresponse, result, username, password, usejournal, LJURL, LJPage, calrequest, usecss;
var hb = document.getElementById("historybundle");

function Init() {
	result = opener.result;
	username = opener.username;
	password = opener.password;
	usejournal = opener.usejournal;
	usecss = opener.usecss;
	LJURL = opener.LJURL;
	LJPage = opener.LJPage;
	var cal = new Date();
	PopulatePopup();
	UpdateCalendar(cal);
	SetSelected(document.getElementById("day" + selectedday));
	var body;
	// This is to find what days have entries attached to them. Mainly just to set days with entries bold, and leave the rest normal.
	body = "mode=getdaycounts&user=" + encodeURIComponent(opener.username) + "&hpassword=" + encodeURIComponent(opener.hexMD5(opener.password));
	body += "&ver=1";
    if (username != usejournal) {
		body += "&usejournal=" + encodeURIComponent(usejournal);
	}
	// Just changed my SendRequest function a tiny bit to get it to do more than 1 thing at once. I'll fix it all later.
	calrequest = new XMLHttpRequest()
	calrequest.onload = SetupCalendar;
	calrequest.onerror = CantLoadCal;
    calrequest.open("POST", LJURL, true);
    calrequest.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	calrequest.send(body);
}

function SetupCalendar() {
	calendarresponse = calrequest.responseText;
    if (getResponseData("success", calendarresponse) == "OK") {
		DoBoldDays();
	} else {
		var errmsg = getResponseData("errmsg", calendarresponse);
		if (errmsg) {
			alert(errmsg);
		} else {
			CantLoadCal();
		}
	}
}

function CantLoadCal() {
		alert(hb.getString("StuffedUp"));
}





function CantLoadEntries() {
	alert(hb.getString("StuffedUp"));
}

function ShowEntries() {
	entriesresponse = request.responseText;
	if (getResponseData("success", entriesresponse) == "OK") {
		var eventlist = document.getElementById("entrieslist");
		while (eventlist.childNodes.length > 2) {
			eventlist.removeChild(eventlist.lastChild);
		}
		for (i = 1; i <= getResponseData("events_count", entriesresponse); i++) {
			eventlist.appendChild(document.createElement("listitem"));
			eventlist.lastChild.setAttribute("value", getResponseData("events_" + i + "_itemid", entriesresponse));
			eventlist.lastChild.setAttribute("ondblclick", "EditPost(this.value);");
			eventlist.lastChild.setAttribute("label", FixClock(decodeLJText(getResponseData("events_" + i + "_eventtime", entriesresponse))));
			eventlist.lastChild.appendChild(document.createElement("listcell"));
			eventlist.lastChild.lastChild.setAttribute("label", decodeLJText(getResponseData("events_" + i + "_event", entriesresponse)));
		}
	} else {
		var errmsg = getResponseData("errmsg", entriesresponse);
		if (errmsg) {
			alert(errmsg);
		} else {
			CantLoadEntries();
		}
	}
}

function FixClock(time) {
	var clockarray = time.split(":");
	var hour = clockarray[0];
	var minute = clockarray[1];
	var ampm = " am";
	hour = parseInt(hour.slice(hour.lastIndexOf(" ")),10);
	if (hour > 11) {
		ampm = " pm";
		hour = hour - 12;
	}
	if (hour == 0) {
		hour = 12;
	}
	return hour + ":" + minute + ampm;
}


function EditPost(postnumber) {
	window.openDialog("chrome://deepestsender/content/EditEntry.xul","editentry","chrome,modal,resizable",postnumber);
}